MediaWiki:Monobook.css

From MediaWiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* edit this file to customize the monobook skin for the entire site */

/* Messagebox templates */

.messagebox {
   border: 1px solid #aaa;
   background-color: #f9f9f9;
   width: 80%;
   margin: 0 auto 1em auto;
   padding: .2em;
}
.messagebox.merge {
   border: 1px solid #c0b8cc;
   background-color: #f0e5ff;
   text-align: center;
}
.messagebox.cleanup {
   border: 1px solid #9f9fff;
   background-color: #efefff;
   text-align: center;
}
.messagebox.standard-talk {
   border: 1px solid #c0c090;
   background-color: #f8eaba;
}

/* wikitable/prettytable class for skinning normal tables */

table.wikitable,
table.prettytable {
  margin: 1em 1em 1em 0;
  background: #f9f9f9;
  border: 1px #aaa solid;
  border-collapse: collapse;
}

table.wikitable th, table.wikitable td,
table.prettytable th, table.prettytable td {
  border: 1px #aaa solid;
  padding: 0.2em;
}

table.wikitable th,
table.prettytable th {
  background: #f2f2f2;
  text-align: center;
}

table.wikitable caption,
table.prettytable caption {
  margin-left: inherit;
  margin-right: inherit;
  font-weight: bold;
}

/* TELETRAN-1 SPECIFIC BITS */

.tt1_nowrap {
white-space: nowrap;
}


/* KILL "IMAGE TAGGING" FEATURE */
/* Hide all the tagging buttons and text-fields so they can't be used. */
#tagEditField input, #tagStatusDiv input{ display:none; }

/* The rectile can't be hidden- so we offset it 200em beyond the left margin of the page so it /appears/ to be gone. */
#file div, #tagEditField{ margin-left:-200em; }

/* Fix for the nested div affected by the above.  (cosmetic) */
#file div div{ margin-left:0; }

/* Hide the chipper red 'NEW' inviting people to use this crappy feature. */
#filetoc sup{ display:none; }

/* ALSO RECOMMENDED: Change the 'click on things to tag them' text-string to explain that image tagging has been disabled on this wiki." */
/* HERE: http://tfwiki.net/wiki/MediaWiki:Tagging_instructions  */

/* KILL THE "REPORT A PROBLEM" FEATURE */
/* Hide the 'report a problem' link; PROBLEM SOLVED, FOX NEWS STYLE! */
li#ca-report-problem {display:none;}

/* Template specific bits, don't take these out until you've actually UPDATED THE TEMPLATES. */
.tt1_merge, .tt1_tobedeleted, .tt1_cleanup, .tt1_move, .tt1_spoiler, .tt1_unreleased  {
    height:87px;
}

.tt1_merge .messagebox, .tt1_tobedeleted .messagebox, .tt1_cleanup .messagebox, .tt1_move .messagebox, .tt1_spoiler .messagebox, .tt1_unreleased .messagebox  {
   position:relative;
   padding-left:75px;
}

.tt1_merge .messagebox {
   padding-left:88px;
}

.tt1_move .messagebox {
   padding-left:113px;
}

.tt1_spoiler {
   height:50px;
}
.tt1_spoiler .messagebox {
   padding-left:50px;
}

.tt1_unreleased {
   height:50px;
}
.tt1_unreleased .messagebox {
   padding-left:130px;
}

.tt1_merge .messagebox span.mb_thumb, .tt1_tobedeleted .messagebox span.mb_thumb, .tt1_cleanup .messagebox span.mb_thumb, .tt1_move .messagebox span.mb_thumb, .tt1_spoiler .messagebox span.mb_thumb, .tt1_unreleased .messagebox span.mb_thumb{
   display:block;
   height:100px;
   position:absolute;
   top:2px;
   left:5px;
}


/* Merge only */
.tt1_merge .messagebox span.mb_thumb{
   width:74px;
   background:url("/mediawiki/images2/5/5e/Merge_megratchet.gif");
}

/*ToBedeleted only */
.tt1_tobedeleted .messagebox {
   border:solid 1px #aaa;
   background:#f9f9f9;
}
.tt1_tobedeleted .messagebox span.mb_thumb{
   width:64px;
   background:url("/mediawiki/images2/a/a8/Quint_head.gif");
}


/* Cleanup only */
.tt1_cleanup .messagebox span.mb_thumb{
   width:61px;
   background:url("/mediawiki/images2/2/23/Junkion_jimmy.gif");
}

/* Move only */
.tt1_move .messagebox span.mb_thumb{
   width:123px;
   background:url("/mediawiki/images2/2/26/Move_mo-vor.gif");
}

/* spoiler only */
.tt1_spoiler .messagebox span.mb_thumb{
   height:50px;
   width:56px;
   background:url("/mediawiki/images2/d/d5/Spoiler_jazz.gif");
}

/* Unreleased only */
.tt1_unreleased .messagebox span.mb_thumb{
   height:50px;
   width:100px;
   background:url("/mediawiki/images2/e/ee/Notyetbox.gif");
}

.tt1_nowrap {
white-space: nowrap;
}

/*Fix the 'see-through image borders' problem.*/
.thumb{ background-color:white;}